org.apache.maven.scm.provider.hg.command.info

## Class HgInfoCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.provider.hg.command.info.HgInfoCommand

All Implemented Interfaces:
  Command

    public class HgInfoCommand
    extends AbstractCommand
    implements Command

Since:
  1.5
Author:
  Olivier Lamy

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`HgInfoCommand()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected ScmResult` `executeCommand(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.maven.scm.command.Command

`execute, getLogger, setLogger`

### Constructor Detail

#### HgInfoCommand

    public HgInfoCommand()

### Method Detail

#### executeCommand

    protected ScmResult executeCommand(ScmProviderRepository repository,
                                       ScmFileSet fileSet,
                                       CommandParameters parameters)
                                throws ScmException

Specified by:
  `executeCommand` in class `AbstractCommand`
Throws:
  `ScmException`